netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
logtype_conf_t Struct Reference

`#include <logger.h>`

## Data Fields
bool | set
bool | syslog
int | fd
enum loglevels | level
int | display_options
bool | timestamp_us

## Field Documentation

## ◆ display_options

int logtype_conf_t::display_options

## ◆ fd

int logtype_conf_t::fd

logfiles fd

## ◆ level

enum loglevels logtype_conf_t::level

Log Level to put in this file

## ◆ set

bool logtype_conf_t::set

set individually ? yes: changing default doesnt change it. no: it changes it.

## ◆ syslog

bool logtype_conf_t::syslog

This type logs to syslog

## ◆ timestamp_us

bool logtype_conf_t::timestamp_us

Log time stamps in us instead of s

The documentation for this struct was generated from the following file:

- logger.h